<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL: https://svn.osuosl.org/public/maintain-project/trunk/htdocs/ip.php $
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Authors: Michael Clay <claym@osuosl.org>                               |
// |          Zack Bartel  <bartel@osuosl.org>                              |
// +------------------------------------------------------------------------+
// $Id: ip.php 4753 2006-08-17 22:54:26Z schonstal $

/**
  * IP Pages
  *
  * @package    htdocs
  */

require_once("includes.php");
require_once(HTCLASS."/datalist/IPDataList.php");
require_once(FORMDIR."/IPBlockCreateForm.php");
require_once(FORMDIR."/IPBlockEditForm.php");
require_once(FORMDIR."/MaintainDeleteConfirm.php");

session_start();

setup_user_environment();

if (!$user->is_admin())
    header("Location: denied.php");

$title = html_span("title");

$skin = Skin::Factory($user->color_template);

$content = container($title);

switch(strtolower($_REQUEST['action'])) {

case 'edit':
    if(!$user->is_admin($zone))
        header("Location: ".web_root()."denied.php");
    $title->add(_("Modifying IP Block"));
    $ipef = new FormProcessor(new IPBlockEditForm, "ipblockedit");
    $ipef->set_render_form_after_success(false);
    $content->add($title);
    $content->add(html_br(2),Skin::amFactory(AM_EDIT,_("IP Block")),html_br(2));
    $content->add($ipef);
    break;

case 'delconfirm':
    if(!$user->is_admin($zone))
        header("Location: ".web_root()."denied.php");
    $title->add(_("Deleting IP Block"));
    $content->add($title);
    $ipdc = new FormProcessor(new MaintainDeleteConfirm("IPBlock", "Name"), "ipblockdel");
    $ipdc->set_render_form_after_success(false);
    $content->add($ipdc);
    break;
    
case 'create':
    if(!$user->is_admin())
        header("Location: ".web_root()."denied.php");
    $title->add(_("Creating IPBlock"));
    $ipcf = new FormProcessor(new IPBlockCreateForm, "ipblockcreate");
    $ipcf->set_render_form_after_success(false);
    $content->add($title);
    $content->add($ipcf);
    break;

case 'enable':
case 'disable':
case 'endis':
    if (!$user->is_admin())
        header("Location: ".web_root()."denied.php");
    
    $block = new IPBlock($_REQUEST['id']);
    $block->setEnabled(!$block->enabled);
    $block->update();
    header("Location: " . $_SERVER['SCRIPT_NAME']);
    break;

case 'show':
case 'show_admin':
default:
    if(!$user->is_guest($zone))
        header("Location: ".web_root()."denied.php");
    if(isset($_REQUEST['id'])) {
        $title->add(_("Viewing IP Block"));
        $ip = new IP($_REQUEST['id']);
        $content->add($title);
        $content->add(html_br(2),Skin::amFactory(AM_SHOW,_("IP Block")),html_br(2));
        $content = Module::apply_filter("object_info",$content, $ip); 
    }
    else {
        $title->add(_("Viewing IP Blocks"));
        $ipl = new IPDataList("IP");
        $ipl->user_setup();
        $content->add($title);
        $content->add(html_br(2),Skin::amFactory(AM_LIST,_("IP Block")),html_br(2));
        $content->add($ipl);
    }
}

print $skin->display($content);

?>
